[WMDE-Fundraising] Persist tracking information in "Apply for Membership"
Closed, ResolvedPublic7 Story Points

Description

The "Apply for Membership" use case needs a service that adds tracking information to the donation "data" object.

The new fields are:

  • confirmationPageCampaign
  • confirmationPage

Edit: these $data fields are also relevant:

  • impCount,
  • bImpCount
JeroenDeDauw added a comment.EditedMar 21 2016, 1:22 PM

Where are those values coming from, and what are they? They do not seem to be in the request as described at https://phabricator.wikimedia.org/T130199

DonationConfirmationPageSelector::selectPage() returns a value object that can be used to set these values.

JeroenDeDauw added a comment.EditedApr 21 2016, 9:07 PM

So the client side code will use these values, or perhaps other ones, and include them in the HTTP request to apply-for-membership?

Also, does it make sense to name these things "confirmation page"? I'm assuming people can get to the membership application form from other sources as well... and that we also want to track those. Or not?

JeroenDeDauw changed the title from "[WMDE-Fundraising] Add tracking information to membership application" to "[WMDE-Fundraising] Persist tracking information in "Apply for Membership"".May 3 2016, 11:49 PM
Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.May 11 2016, 12:21 PM

It's still unclear to me where these fields are coming from, so I can't double check what the fields are. I've added two additional ones to the description, which I found in the $data field. Am I correct in guessing those are needed? Are there others? As far as I can tell, things such as layout and tracking that are in Donation $data are not applicable here, since MembershipApplication $data does not have them.

Please see my comment in the corresponding PR.

Not sure, how they got into the membership data. I guess, these values are passed all the way to the membership application submission.

kai.nissen closed this task as "Resolved".Jun 2 2016, 12:46 PM